petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSPostEvaluate

Runs the user-defined post-evaluate function set using TSSetPostEvaluate()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPostEvaluate(TS ts)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSPostEvaluate() is typically used within time stepping implementations, most users would not generally call this routine themselves.

### See Also

TSSetPostEvaluate(), TSSetPreStep(), TSPreStep(), TSPostStep()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages